Making your first API call
Start your API journey with PDFMonkey! Learn how to make an API call and generate PDFs instantly. Sign up to PDFMonkey today to get started!
Sending your API Secret Key
Authorization: Bearer YOUR_API_SECRET_KEYMaking a test API call
GET https://api.pdfmonkey.io/api/v1/current_user
Authorization: Bearer YOUR_API_SECRET_KEYcurl "https://api.pdfmonkey.io/api/v1/current_user" \
-H "Authorization: Bearer YOUR_API_SECRET_KEY"{
"current_user": {
"id": "12345678-90ab-cdef-1234-567890abcdef",
"auth_token": "1234567890ABCDEF1234",
"available_documents": 300,
"created_at": "2022-01-01T12:34:56.123+00:00",
"current_plan": "free",
"current_plan_interval": "month",
"desired_name": "Jane Doe",
"email": "[email protected]",
"lang": "en",
"paying_customer": false,
"trial_ends_on": "2022-01-15",
"updated_at": "2022-01-01T12:34:56.123+00:00",
"block_resources": true,
"share_links": false
}
}Next step
Last updated
Was this helpful?
